com.amazonaws.services.machinelearning.model

## Class RDSDatabase

- java.lang.Object
- - com.amazonaws.services.machinelearning.model.RDSDatabase

All Implemented Interfaces:
  Serializable, Cloneable

    public class RDSDatabase
    extends Object
    implements Serializable, Cloneable

The database details of an Amazon RDS database.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RDSDatabase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RDSDatabase` `clone()`
`boolean` `equals(Object obj)`
`String` `getDatabaseName()`
`String` `getInstanceIdentifier()` The ID of an RDS DB instance.
`int` `hashCode()`
`void` `setDatabaseName(String databaseName)`
`void` `setInstanceIdentifier(String instanceIdentifier)` The ID of an RDS DB instance.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RDSDatabase` `withDatabaseName(String databaseName)`
`RDSDatabase` `withInstanceIdentifier(String instanceIdentifier)` The ID of an RDS DB instance.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RDSDatabase

    public RDSDatabase()

### Method Detail

#### setInstanceIdentifier

    public void setInstanceIdentifier(String instanceIdentifier)

The ID of an RDS DB instance.

Parameters:
  `instanceIdentifier` - The ID of an RDS DB instance.

#### getInstanceIdentifier

    public String getInstanceIdentifier()

The ID of an RDS DB instance.

Returns:
  The ID of an RDS DB instance.

#### withInstanceIdentifier

    public RDSDatabase withInstanceIdentifier(String instanceIdentifier)

The ID of an RDS DB instance.

Parameters:
  `instanceIdentifier` - The ID of an RDS DB instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDatabaseName

    public void setDatabaseName(String databaseName)

Parameters:
  `databaseName` -

#### getDatabaseName

    public String getDatabaseName()

Returns:

#### withDatabaseName

    public RDSDatabase withDatabaseName(String databaseName)

Parameters:
  `databaseName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RDSDatabase clone()

Overrides:
  `clone` in class `Object`